Text::MeCab::Node(3pm)

NAME
Text::MeCab::Node - MeCab Node Object

SYNOPSIS
  use Text::MeCab;
  my $mecab = Text::MeCab->new();
  my $node  = $mecab->parse($text);

  $node->id;
  $node->surface;
  $node->length;
  $node->rlength;
  $node->feature;
  $node->next;
  $node->prev;
  $node->rcattr;
  $node->lcattr;
  $node->stat;
  $node->isbest;
  $node->alpha;
  $node->beta;
  $node->prob;
  $node->wcost;
  $node->cost;

  $node->format($mecab);

DESCRIPTION
Text::MeCab::Node encapsulates the mecab node structure returned by parsing some text.

METHODS

  format($mecab)
Given a mecab instance, formats the node as specified by the option arguments (e.g. --node-format)

SEE ALSO
Text::MeCab